Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.db.jdbc
Class EventfulRecord

    java.lang.Object
      |
      +--weblogic.db.jdbc.Record
            |
            +--weblogic.db.jdbc.EventfulRecord

public class EventfulRecord
extends Record
implements WLSerializable

An EventfulRecord is a dbKona record that sends events when it is changed. Methods in this class get and set the unique key with which the record is saved to the DBMS, and to set the values in an EventfulRecord to the values in another Record.

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `Record`, `EventfulTableDataSet`, Serialized Form

Fields inherited from class weblogic.db.jdbc.Record
`isclean, numcols, parentdataset, values`

Constructor Summary
`EventfulRecord()` Default constructor.
`EventfulRecord(T3Client t3, EventfulTableDataSet etds)` Constructs an EventfulRecord.

Method Summary
`protected void` | `changeStatus(java.sql.Connection conn)`
`void` | `destroy()` Internal use only.
`java.lang.String` | `getUniqueKey()` Gets the unique key for an EventfulRecord.
`void` | `initialize()` Internal use only.
`protected Record` | `internal_fetch()`
`void` | `readObject(WLObjectInput sis)` Internal use only.
`void` | `setRecord(Record newValues)` Sets the values of an EventfulRecord to values contained in a second record.
`java.lang.String` | `uniqueKey(KeyDef keydef)` Calculates the uniqueKey for the specified KeyDef.
`void` | `writeObject(WLObjectOutput sos)` Internal use only.

Methods inherited from class weblogic.db.jdbc.Record
`asFormattedString, dataset, getRefreshQueryString, getSaveString, getValue, getValue, isAZombie, markAsDelete, markAsInsert, markAsUpdate, markAsZombie, markForInsert, markForUpdate, markRecordClean, markToBeDeleted, markValueClean, markValueClean, markValueDirty, markValueDirty, needsToBeSaved, recordIsClean, refresh, save, save, saveWithoutStatusUpdate, schema, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValueNull, setValueNull, size, toBeSavedWithDelete, toBeSavedWithInsert, toBeSavedWithUpdate, toString, unmarkToBeDeleted, updateStatus, valueIsClean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventfulRecord

    public EventfulRecord(T3Client t3,
                          EventfulTableDataSet etds)
                   throws DataSetException,
                          java.sql.SQLException

  Constructs an EventfulRecord.

  Parameters:
    `t3` - T3Client
    `etds` - EventfulTableDataset to which an EventfulRecord belongs
  Throws:
    DataSetException - if there is an error
    java.sql.SQLException - if there is a SQL error
  See Also:
    `TableDataSet`

### EventfulRecord

    public EventfulRecord()

  Default constructor. Do not use.

Method Detail

### getUniqueKey

    public java.lang.String getUniqueKey()

  Gets the unique key for an EventfulRecord. The unique key sets the columns for modifying a record in the DBMS.

  Returns:
    Unique key

### uniqueKey

    public java.lang.String uniqueKey(KeyDef keydef)
                               throws DataSetException,
                                      java.sql.SQLException

  Calculates the uniqueKey for the specified KeyDef.

  Parameters:
    `keydef` - KeyDef object that defines the columns of the unique key to be used for modifications to a row in the DBMS
  Returns:
    Unique key
  Throws:
    DataSetException - if there is an error
    java.sql.SQLException - if there is a SQL error

### setRecord

    public void setRecord(Record newValues)

  Sets the values of an EventfulRecord to values contained in a second record. Useful for updates.

  Parameters:
    `newValues` - Record from which the values should be copied

### changeStatus

    protected void changeStatus(java.sql.Connection conn)
                         throws DataSetException,
                                java.sql.SQLException

### internal_fetch

    protected Record internal_fetch()
                             throws java.sql.SQLException,
                                    DataSetException

### initialize

    public void initialize()

  Internal use only.

### destroy

    public void destroy()

  Internal use only.

### readObject

    public void readObject(WLObjectInput sis)
                    throws java.io.IOException,
                           java.lang.ClassNotFoundException

  Internal use only.
  Specified by:
    readObject in interface WLSerializable

  Throws:
    java.lang.ClassNotFoundException - if there is an error

### writeObject

    public void writeObject(WLObjectOutput sos)
                     throws java.io.IOException

  Internal use only.
  Specified by:
    writeObject in interface WLSerializable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD